# Ad Engine URL Tracking Parameters

A key to great digital measurement is ensuring the activities in your ad engines can be connected to activities on your website at the most granular level possible. To achieve this, we ask each Clario client to enable/leverage the following tracking parameters in each platform.

**Google Ads**

Great measurement on Google Ads starts with auto-tagging, as this allows ClickID reporting via the Google Click ID (“`GCLID`”). Per the [Google Ads website](https://support.google.com/google-ads/answer/3095550):

Auto-tagging is turned off by default. To turn it on, follow the steps below.

* Sign in to each Google Ads account.
* In the left page menu, click Settings.
* Click Account settings along the top of the page.
* Click the Auto-tagging section.
* To enable auto-tagging, check the box “Tag the URL that people click through from my ad.”
* Click Save.

**Microsoft Ads**

Microsoft Ads (fka “Bing”) does not support ClickID (“`MSCLKID`”) reporting. We recommend implementing [Upgraded URLs](https://help.ads.microsoft.com/#apex/3/en/56751/2) and appending the following [URL Tracking Parameters](https://help.ads.microsoft.com/#apex/3/en/56799/2):

`&cmpid={CampaignID}&agid={AdGroupID}&tgtid={TargetId}`

Additionally, for Shopping (PLA) campaigns include: `&prdid={ProductId}`

Note: The specific parameter names you choose are not material, as long as they do not collide with any internal tracking parameters and Clario is notified of what is currently implemented.

**Facebook Ads**

Per the [Facebook Ads website](https://www.facebook.com/business/help/2360940870872492), append the following URL Dynamic Parameters:

`campaign_id={{campaign.id}}&adset_id={{adset.id}}&ad_id={{ad.id}}`

Note: The specific parameter names you choose are not material, as long as they do not collide with any internal tracking parameters and Clario is notified of what is currently implemented.

**Pinterest Ads**

Per the [Pinterest Ads website](https://help.pinterest.com/en/business/article/third-party-and-dynamic-tracking), append the following dynamic URL tracking parameters:

For all campaigns: `&cmpid={campaignid}&agid={adgroupid}&pinid={adid}`

Additionally, for Shopping campaigns include: `&prdid={product_id}`

Note: The specific parameter names you choose are not material, as long as they do not collide with any internal tracking parameters and Clario is notified of what is currently implemented.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clar.io/configuration/ad-engine-url-tracking-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
